Subject: Re: 3.2-rc2+: Reported regressions from 3.0 and 3.1

From: Andrew Morton <[email-masked]>
Date: Mon, 21 Nov 2011 21:59:18 -0800

On Tue, 22 Nov 2011 11:19:24 +0530 "Srivatsa S. Bhat" <[email-masked]> wrote:

> > Subject    : khugepaged blocks suspend2ram (3.2.0-rc1-00252-g8f042aa)
> > Submitter  : Sergei Trofimovich <[email-masked]>
> > Date       : 2011-11-12 10:48
> > Message-ID : [email-masked]
> > References : https://lkml.org/lkml/2011/11/12/11
> > 
> 
> Andrea's patch already fixes this issue, which was reported first by
> Jiri Slaby. https://lkml.org/lkml/2011/11/11/93
> I remember Andrew Morton taking this patch in his -mm tree. But it is
> not in mainline yet. So can we consider this closed or not?

grr, nothing in that patch's changelog indicates that it fixed a
regression nor that it fixed an infinite blockage of suspend.

I moved it to my 3.2 queue, thanks.